
package com.tmerclub.cloud.platform.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

import java.io.Serial;
import java.io.Serializable;

/**
 * 网站配置信息表DTO
 *
 * @author Orange
 */
public class WebConfigDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键")
    private Integer id;

    @Schema(description = "配置类型（1:平台端 2:商家端 3:PC端 4:h5端 6:供应商端）")
    @NotNull(message = "配置类型不能为空")
    private Integer configType;

    @Schema(description = "激活（0:否 1:是）")
    @NotNull(message = "激活状态不能为空")
    private Integer isActivity;

    @Schema(description = "登录logo")
    private String loginLogoImg;

    @Schema(description = "登录背景(后台+pc)")
    private String loginBgImg;

    @Schema(description = "版权声明-中文(后台+pc)")
    private String copyrightCn;

    @Schema(description = "版权声明-英文(后台+pc)")
    private String copyrightEn;

    @Schema(description = "网站标题文本-中文(后台+pc+h5)")
    private String titleContentCn;

    @Schema(description = "网站标题文本-英文(后台+pc+h5)")
    private String titleContentEn;

    @Schema(description = "标题图标(后台+pc)")
    private String titleImg;

    @Schema(description = "后台-菜单展开时的文本-中文")
    private String bsMenuTitleOpenCn;

    @Schema(description = "后台-菜单展开时的文本-英文")
    private String bsMenuTitleOpenEn;

    @Schema(description = "后台-菜单缩小时的文本-中文")
    private String bsMenuTitleCloseCn;

    @Schema(description = "后台-菜单缩小时的文本-英文")
    private String bsMenuTitleCloseEn;

    @Schema(description = "后台-顶部栏图标")
    private String bsTopBarIcon;

    @Schema(description = "PC-底部二维码")
    private String pcQrcodeImg;

    @Schema(description = "PC-公司全名-中文")
    private String pcCompanyNameCn;

    @Schema(description = "PC-公司全名-英文")
    private String pcCompanyNameEn;

    @Schema(description = "PC-公司名简写-中文")
    private String pcCompanyNameShortCn;

    @Schema(description = "PC-公司名简写-英文")
    private String pcCompanyNameShortEn;

    @Schema(description = "PC-公司图文logo（注册、登录、改密时显示）")
    private String pcLogoImgText;

    @Schema(description = "PC-导航栏欢迎语-中文")
    private String pcWelcomeCn;

    @Schema(description = "PC-导航栏欢迎语-英文")
    private String pcWelcomeEn;

    @Schema(description = "PC-底部公司地址等信息-中文")
    private String pcCompanyInfoCn;

    @Schema(description = "PC-底部公司地址等信息-英文")
    private String pcCompanyInfoEn;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getConfigType() {
        return configType;
    }

    public void setConfigType(Integer configType) {
        this.configType = configType;
    }

    public Integer getIsActivity() {
        return isActivity;
    }

    public void setIsActivity(Integer isActivity) {
        this.isActivity = isActivity;
    }

    public String getLoginLogoImg() {
        return loginLogoImg;
    }

    public void setLoginLogoImg(String loginLogoImg) {
        this.loginLogoImg = loginLogoImg;
    }

    public String getLoginBgImg() {
        return loginBgImg;
    }

    public void setLoginBgImg(String loginBgImg) {
        this.loginBgImg = loginBgImg;
    }

    public String getCopyrightCn() {
        return copyrightCn;
    }

    public void setCopyrightCn(String copyrightCn) {
        this.copyrightCn = copyrightCn;
    }

    public String getCopyrightEn() {
        return copyrightEn;
    }

    public void setCopyrightEn(String copyrightEn) {
        this.copyrightEn = copyrightEn;
    }

    public String getTitleContentCn() {
        return titleContentCn;
    }

    public void setTitleContentCn(String titleContentCn) {
        this.titleContentCn = titleContentCn;
    }

    public String getTitleContentEn() {
        return titleContentEn;
    }

    public void setTitleContentEn(String titleContentEn) {
        this.titleContentEn = titleContentEn;
    }

    public String getTitleImg() {
        return titleImg;
    }

    public void setTitleImg(String titleImg) {
        this.titleImg = titleImg;
    }

    public String getBsMenuTitleOpenCn() {
        return bsMenuTitleOpenCn;
    }

    public void setBsMenuTitleOpenCn(String bsMenuTitleOpenCn) {
        this.bsMenuTitleOpenCn = bsMenuTitleOpenCn;
    }

    public String getBsMenuTitleOpenEn() {
        return bsMenuTitleOpenEn;
    }

    public void setBsMenuTitleOpenEn(String bsMenuTitleOpenEn) {
        this.bsMenuTitleOpenEn = bsMenuTitleOpenEn;
    }

    public String getBsMenuTitleCloseCn() {
        return bsMenuTitleCloseCn;
    }

    public void setBsMenuTitleCloseCn(String bsMenuTitleCloseCn) {
        this.bsMenuTitleCloseCn = bsMenuTitleCloseCn;
    }

    public String getBsMenuTitleCloseEn() {
        return bsMenuTitleCloseEn;
    }

    public void setBsMenuTitleCloseEn(String bsMenuTitleCloseEn) {
        this.bsMenuTitleCloseEn = bsMenuTitleCloseEn;
    }

    public String getBsTopBarIcon() {
        return bsTopBarIcon;
    }

    public void setBsTopBarIcon(String bsTopBarIcon) {
        this.bsTopBarIcon = bsTopBarIcon;
    }

    public String getPcQrcodeImg() {
        return pcQrcodeImg;
    }

    public void setPcQrcodeImg(String pcQrcodeImg) {
        this.pcQrcodeImg = pcQrcodeImg;
    }

    public String getPcCompanyNameCn() {
        return pcCompanyNameCn;
    }

    public void setPcCompanyNameCn(String pcCompanyNameCn) {
        this.pcCompanyNameCn = pcCompanyNameCn;
    }

    public String getPcCompanyNameEn() {
        return pcCompanyNameEn;
    }

    public void setPcCompanyNameEn(String pcCompanyNameEn) {
        this.pcCompanyNameEn = pcCompanyNameEn;
    }

    public String getPcCompanyNameShortCn() {
        return pcCompanyNameShortCn;
    }

    public void setPcCompanyNameShortCn(String pcCompanyNameShortCn) {
        this.pcCompanyNameShortCn = pcCompanyNameShortCn;
    }

    public String getPcCompanyNameShortEn() {
        return pcCompanyNameShortEn;
    }

    public void setPcCompanyNameShortEn(String pcCompanyNameShortEn) {
        this.pcCompanyNameShortEn = pcCompanyNameShortEn;
    }

    public String getPcLogoImgText() {
        return pcLogoImgText;
    }

    public void setPcLogoImgText(String pcLogoImgText) {
        this.pcLogoImgText = pcLogoImgText;
    }

    public String getPcWelcomeCn() {
        return pcWelcomeCn;
    }

    public void setPcWelcomeCn(String pcWelcomeCn) {
        this.pcWelcomeCn = pcWelcomeCn;
    }

    public String getPcWelcomeEn() {
        return pcWelcomeEn;
    }

    public void setPcWelcomeEn(String pcWelcomeEn) {
        this.pcWelcomeEn = pcWelcomeEn;
    }

    public String getPcCompanyInfoCn() {
        return pcCompanyInfoCn;
    }

    public void setPcCompanyInfoCn(String pcCompanyInfoCn) {
        this.pcCompanyInfoCn = pcCompanyInfoCn;
    }

    public String getPcCompanyInfoEn() {
        return pcCompanyInfoEn;
    }

    public void setPcCompanyInfoEn(String pcCompanyInfoEn) {
        this.pcCompanyInfoEn = pcCompanyInfoEn;
    }

    @Override
    public String toString() {
        return "WebConfigDTO{" +
                "id=" + id +
                ",configType=" + configType +
                ",isActivity=" + isActivity +
                ",loginLogoImg=" + loginLogoImg +
                ",loginBgImg=" + loginBgImg +
                ",copyrightCn=" + copyrightCn +
                ",copyrightEn=" + copyrightEn +
                ",titleContentCn=" + titleContentCn +
                ",titleContentEn=" + titleContentEn +
                ",titleImg=" + titleImg +
                ",bsMenuTitleOpenCn=" + bsMenuTitleOpenCn +
                ",bsMenuTitleOpenEn=" + bsMenuTitleOpenEn +
                ",bsMenuTitleCloseCn=" + bsMenuTitleCloseCn +
                ",bsMenuTitleCloseEn=" + bsMenuTitleCloseEn +
                ",bsTopBarIcon=" + bsTopBarIcon +
                ",pcQrcodeImg=" + pcQrcodeImg +
                ",pcCompanyNameCn=" + pcCompanyNameCn +
                ",pcCompanyNameEn=" + pcCompanyNameEn +
                ",pcCompanyNameShortCn=" + pcCompanyNameShortCn +
                ",pcCompanyNameShortEn=" + pcCompanyNameShortEn +
                ",pcLogoImgText=" + pcLogoImgText +
                ",pcWelcomeCn=" + pcWelcomeCn +
                ",pcWelcomeEn=" + pcWelcomeEn +
                ",pcCompanyInfoCn=" + pcCompanyInfoCn +
                ",pcCompanyInfoEn=" + pcCompanyInfoEn +
                '}';
    }
}
